# Find public holidays for employee in dates range.

Find public holidays for employee in dates range.Expect error codes:INVALID_EMPLOYEE - when invalid employee id providedINVALID_DATE_FROM - when invalid time in filter providedINVALID_DATE_TO - when invalid time in filter provided

Endpoint: POST /holiday/v1/find
Version: v1
Security: basicAuth

## Request fields (application/json):

  - `employee` (string, required)
    Employee e-mail or login
    Example: "john.white@mycompany.com"

  - `from` (string, required)
    Start date of dates range to search in ISO format
    Example: "2017-01-10"

  - `to` (string, required)
    End date of dates range to search in ISO format
    Example: "2017-01-15"

## Response 200 fields (application/json):

  - `name` (string, required)
    Public holiday name
    Example: "Holiday name"

  - `start` (string, required)
    First day of the holiday
    Example: "2017-02-20"

  - `end` (string, required)
    Last day of the holiday
    Example: "2017-02-20"

  - `halfDay` (boolean, required)
    Half day holiday

  - `halfdayPeriod` (string, required)
    If halfDay is true halfdayPeriod tells which part of day is non-working
    Enum: "AM", "PM"

## Response 400 fields (application/json):

  - `message` (string)
    Human readable error explanation.
    Example: "Api error"

  - `code` (string)
    Error code.
    Example: "INVALID_JSON_PAYLOAD"

  - `field` (string)
    Which field of payload object caused error. NULL when error is not related to particular field
    Example: "field"

## Response 401 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "Authentication failure"

  - `code` (string, required)
    General type of error
    Example: "AUTH"

  - `field` (string)
    Leftover for backward compatibility

## Response 429 fields (application/json):

  - `code` (string, required)
    General type of error
    Example: "QUOTA_EXCEEDED"

  - `field` (string, required)
    Detailed info about quota and it's current usage
    Example: "Your current usage is 101/day, 10/hour, 1/sec\nYour current limits 100/day, 10/hour, 1/sec."

## Response 500 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "An unexpected error occurred"

  - `code` (string, required)
    General type of error
    Example: "INTERNAL_SERVER_ERROR"

## Response 504 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "Public API call exceeded timeout"

  - `code` (string, required)
    General type of error
    Example: "TIMEOUT"


## Response 403 fields
